### Function

# Gimp context_set_palette

#### Declaration [src]

    gboolean
    gimp_context_set_palette (
      const gchar* name
    )

#### Description [src]

Set the specified palette as the active palette.

This procedure allows the active palette to be set by specifying its name. The name is simply a string which corresponds to one of the names of the installed palettes. If no matching palette is found, this procedure will return an error. Otherwise, the specified palette becomes active and will be used in all subsequent palette operations.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The name of the palette.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.